Skip to main content
GET
/
v1
/
alerts
/
{alertId}
/
history
List alert trigger history
curl --request GET \
  --url https://api.agentmark.co/v1/alerts/{alertId}/history \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Agentmark-App-Id: <api-key>'
{
  "data": [
    {
      "alert_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "alert_name": "<string>",
      "app_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "commit_sha": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "evaluation_name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "triggered_value": "<string>"
    }
  ],
  "pagination": {
    "limit": 1,
    "offset": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentmark.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Path Parameters

alertId
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 1000
offset
integer | null
default:0
Required range: x >= 0

Response

Paginated history records.

data
object[]
required
pagination
object
required